%define upstream_name    Log-Any
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
'Log::Any' allows CPAN modules to safely and efficiently log messages,
while letting the application choose (or decline to choose) a logging
mechanism such as 'Log::Dispatch' or 'Log::Log4perl'.

'Log::Any' has a very tiny footprint and no dependencies beyond Perl 5.6,
which makes it appropriate for even small CPAN modules to use. It defaults
to 'null' logging activity, so a module can safely log without worrying
about whether the application has chosen (or will ever choose) a logging
mechanism.

The application, in turn, may choose one or more logging mechanisms via
Log::Any::Adapter.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Sep 01 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 137551
- update to 0.14
- update to 0.13

* Fri Mar 25 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 77303
- update to 0.12

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 28634
- mageia rebuild
- imported package perl-Log-Any

